Subject: Re: [PATCH bpf-next 1/3] dev: Move received_rps counter next to RPS members in softnet data

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 22 Aug 2022 12:17:37 +0200

Jakub Kicinski <[email-masked]> writes:

> On Fri, 19 Aug 2022 14:38:14 +0200 Toke Høiland-Jørgensen wrote:
>> Jakub Kicinski <[email-masked]> writes:
>> > On Thu, 18 Aug 2022 18:59:03 +0200 Toke Høiland-Jørgensen wrote:  
>> >> Move the received_rps counter value next to the other RPS-related members
>> >> in softnet_data. This closes two four-byte holes in the structure, making
>> >> room for another pointer in the first two cache lines without bumping the
>> >> xmit struct to its own line.  
>> >
>> > What's the pointer you're making space for (which I hope will explain
>> > why this patch is part of this otherwise bpf series)?  
>> 
>> The XDP queueing series adds a pointer to keep track of which interfaces
>> were scheduled for transmission using the XDP dequeue hook (similar to
>> how the qdisc wake code works):
>> 
>> https://lore.kernel.org/r/[email-masked]
>
> I see, it makes more sense now :)
>
>> Note that it's still up in the air if this ends up being the way this
>> will be implemented, so I'm OK with dropping this patch for now if you'd
>> rather wait until it's really needed. OTOH it also seemed like a benign
>> change on its own, so I figured I might as well include this patch when
>> sending these out. WDYT?
>
> Whatever is easiest :)

Alright, I'm OK with either so let's leave it up to the (BPF)
maintainers if they want to drop this patch or just merge the whole
series? :)

-Toke